<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__hal__int_8c" kind="file" language="C++">
    <compoundname>cy_ble_hal_int.c</compoundname>
    <includes local="yes" refid="cy__ble_8h">cy_ble.h</includes>
    <includes local="yes" refid="cy__ble__hal__pvt_8h">cy_ble_hal_pvt.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__common___intr__feature__api__functions_1ga39785f5666e0ffad99d2d8327cdd669b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_IntrNotifyIsrHandler</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_IntrNotifyIsrHandler</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function sends notification (with interrupt type information) to user callback for the BLE interrupts subscribed by user. </para>        </briefdescription>
        <detaileddescription>
<para>The list of supported interrupts described in the enumeration cy_en_ble_interrupt_callback_feature_t. <ref kindref="member" refid="group__group__ble__common___intr__feature__api__functions_1ga4f1bb36b7bd9cd99410c677a62da061e">Cy_BLE_RegisterInterruptCallback()</ref> API used to register callback for receiving the BLE interrupts.</para><para>This function must be called inside the user-defined BLESS interrupt service routine (ISR) if user uses Interrupt Notifications Feature. </para>        </detaileddescription>
        <inbodydescription>
<para>Updates the firmware and hardware to exit sleep mode, when called from the interrupt mode, after checking the state machine.</para>        </inbodydescription>
        <location bodyend="164" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hal_int.c" bodystart="36" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hal_int.c" line="36" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__functions_1gaf973ee7f4097d25ee569fd8bd3172265" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_BlessIsrHandler</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_BlessIsrHandler</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Process interrupt events generated by the BLE sub-system. </para>        </briefdescription>
        <detaileddescription>
<para>The interrupts are mandatory for BLE Device operation and this function must be called inside the user-defined interrupt service routine (ISR). </para>        </detaileddescription>
        <inbodydescription>
<para>Call the application Host callback. This notification indicates that user should call <ref kindref="member" refid="group__group__ble__common__api__functions_1ga0f1982f915c28b0d5a317442bec9eafc">Cy_BLE_ProcessEvents()</ref> to process pending Stack events. </para>        </inbodydescription>
        <location bodyend="193" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hal_int.c" bodystart="177" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hal_int.c" line="177" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file contains the source code for the Interrupt service Routine for the HAL section of the PSoC 6 BLE Middleware. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.50</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2017-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="16"><highlight class="preprocessor">#include<sp />"cy_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble_hal_pvt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXBLESS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="23"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_IntrNotifyIsrHandler</highlight></codeline>
<codeline lineno="24"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="36"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common___intr__feature__api__functions_1ga39785f5666e0ffad99d2d8327cdd669b">Cy_BLE_IntrNotifyIsrHandler</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="37"><highlight class="normal">{</highlight></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((intrNotifyPtr<sp />!=<sp />NULL)<sp />&amp;&amp;<sp />(intrNotifyPtr-&gt;mask<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />interruptType<sp />=<sp />(uint32_t)<ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a2ee81f20070fe58e4b66675c8aac8b24">CY_BLE_INTR_CALLBACK_NONE</ref>;</highlight></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Read<sp />BLE_BLELL-&gt;EVENT_INTR<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ab5f5b115c17e4d4fe05fe0f91b054c92">CY_BLE_INTR_CALLBACK_BLESS_STACK_ISR</ref>)<sp />!=<sp />0u)</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ab5f5b115c17e4d4fe05fe0f91b054c92">CY_BLE_INTR_CALLBACK_BLESS_STACK_ISR</ref>;</highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLESS_INTR_STAT<sp />&amp;<sp />BLE_BLESS_INTR_STAT_DSM_ENTERED_INTR_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a4629f92bac3ac3174c849a9448822e50">CY_BLE_INTR_CALLBACK_BLESS_INTR_STAT_DSM_ENTERED</ref>)!=<sp />0u))</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a4629f92bac3ac3174c849a9448822e50">CY_BLE_INTR_CALLBACK_BLESS_INTR_STAT_DSM_ENTERED</ref>;</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLESS_INTR_STAT<sp />&amp;<sp />BLE_BLESS_INTR_STAT_DSM_EXITED_INTR_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ac09a2259a9ca2e96d6b28eee2518af6e">CY_BLE_INTR_CALLBACK_BLESS_INTR_STAT_DSM_EXITED</ref>)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ac09a2259a9ca2e96d6b28eee2518af6e">CY_BLE_INTR_CALLBACK_BLESS_INTR_STAT_DSM_EXITED</ref>;</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLESS_INTR_STAT<sp />&amp;<sp />BLE_BLESS_INTR_STAT_LL_INTR_Msk)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_BLE_MappingLlIsrExitLowPowerMode();</highlight></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(BLE_BLELL_EVENT_INTR<sp />!=<sp />0x0u)</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((BLE_BLELL_EVENT_INTR<sp />&amp;<sp />BLE_BLELL_EVENT_INTR_CONN_INTR_Msk)<sp />!=<sp />0u)</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLELL_CONN_INTR<sp />&amp;<sp />BLE_BLELL_CONN_INTR_CLOSE_CE_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a00195f560dbd8d6fb8f16d9b03550868">CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CLOSE_CE</ref>)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />interrupt<sp />type<sp />CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CLOSE_CE<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a00195f560dbd8d6fb8f16d9b03550868">CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CLOSE_CE</ref>;</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLELL_CONN_INTR<sp />&amp;<sp />BLE_BLELL_CONN_INTR_CE_TX_ACK_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a1238c71cc83e078eeef95cdf2b3f9192">CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CE_TX_ACK</ref>)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />interrupt<sp />type<sp />CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CE_TX_ACK<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a1238c71cc83e078eeef95cdf2b3f9192">CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CE_TX_ACK</ref>;</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLELL_CONN_EXT_INTR<sp />&amp;<sp />BLE_BLELL_CONN_EXT_INTR_EARLY_INTR_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ac5c608bc7aabec594c2cc28afe2db59c">CY_BLE_INTR_CALLBACK_BLELL_CONN_EXT_INTR_EARLY</ref>)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />interrupt<sp />type<sp />CY_BLE_INTR_CALLBACK_BLELL_CONN_EXT_INTR_EARLY<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ac5c608bc7aabec594c2cc28afe2db59c">CY_BLE_INTR_CALLBACK_BLELL_CONN_EXT_INTR_EARLY</ref>;</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLELL_CONN_INTR<sp />&amp;<sp />BLE_BLELL_CONN_INTR_CE_RX_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a5b5ae742ff7b49a93bbb57b5a62ba0e1">CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CE_RX</ref>)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />interrupt<sp />type<sp />CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CE_RX<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a5b5ae742ff7b49a93bbb57b5a62ba0e1">CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CE_RX</ref>;</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((BLE_BLELL_EVENT_INTR<sp />&amp;<sp />BLE_BLELL_EVENT_INTR_SCAN_INTR_Msk)<sp />!=<sp />0u)</highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLELL_SCAN_INTR<sp />&amp;<sp />BLE_BLELL_SCAN_INTR_ADV_RX_INTR_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a066c9106f98b4c58bd2bddb230fae58f">CY_BLE_INTR_CALLBACK_BLELL_SCAN_INTR_ADV_RX</ref>)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />interrupt<sp />type<sp />Return<sp />interrupt<sp />type<sp />CY_BLE_INTR_CALLBACK_BLELL_SCAN_INTR_ADV_RX<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a066c9106f98b4c58bd2bddb230fae58f">CY_BLE_INTR_CALLBACK_BLELL_SCAN_INTR_ADV_RX</ref>;</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLELL_SCAN_INTR<sp />&amp;<sp />BLE_BLELL_SCAN_INTR_SCAN_RSP_RX_INTR_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640aad87a79b003f85f1d3628b0a5737743a">CY_BLE_INTR_CALLBACK_BLELL_SCAN_INTR_SCAN_RSP_RX</ref>)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />interrupt<sp />type<sp />CY_BLE_INTR_CALLBACK_BLELL_SCAN_INTR_SCAN_RSP_RX<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640aad87a79b003f85f1d3628b0a5737743a">CY_BLE_INTR_CALLBACK_BLELL_SCAN_INTR_SCAN_RSP_RX</ref>;</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="118"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((BLE_BLELL_EVENT_INTR<sp />&amp;<sp />BLE_BLELL_EVENT_INTR_ADV_INTR_Msk)<sp />!=<sp />0u)</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(((BLE_BLELL_ADV_INTR<sp />&amp;<sp />BLE_BLELL_ADV_INTR_CONN_REQ_RX_INTR_Msk)<sp />!=<sp />0u)<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrNotifyPtr-&gt;mask<sp />&amp;<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a12ddbe831b8c5bfb52e84eeec59aff85">CY_BLE_INTR_CALLBACK_BLELL_ADV_INTR_CONN_REQ_RX</ref>)<sp />!=<sp />0u))</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />interrupt<sp />type<sp />CY_BLE_INTR_CALLBACK_BLELL_ADV_INTR_CONN_REQ_RX<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptType<sp />|=<sp /><ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a12ddbe831b8c5bfb52e84eeec59aff85">CY_BLE_INTR_CALLBACK_BLELL_ADV_INTR_CONN_REQ_RX</ref>;</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="131"><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Send<sp />interrupt<sp />type<sp />information<sp />to<sp />registered<sp />callback<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(interruptType<sp />!=<sp />(uint32_t)<ref kindref="member" refid="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a2ee81f20070fe58e4b66675c8aac8b24">CY_BLE_INTR_CALLBACK_NONE</ref>)</highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((!intrNotifyPtr-&gt;configFlag)<sp />&amp;&amp;<sp />(Cy_BLE_InterruptCallback<sp />!=<sp />NULL))</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Single<sp />BLE<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_BLE_InterruptCallback((uint32_t)interruptType);</highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Dual<sp />BLE<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />rTimeout<sp />=<sp />100u;<sp /></highlight><highlight class="comment">/*<sp />us<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />intrNotifyPtr-&gt;data<sp />=<sp />(uint32_t)interruptType;</highlight></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />whether<sp />IPC<sp />is<sp />released<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal">((Cy_IPC_Drv_IsLockAcquired(Cy_IPC_Drv_GetIpcBaseAddress((uint32_t)intrNotifyPtr-&gt;userIpcChan)))<sp />&amp;&amp;</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(rTimeout<sp />!=0u))</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysLib_DelayUs(1u);</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rTimeout--;</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Generates<sp />a<sp />notify<sp />event<sp />by<sp />IPC<sp />interrupt<sp />structures<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(rTimeout<sp />!=<sp />0u)</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)Cy_IPC_Drv_AcquireNotify(Cy_IPC_Drv_GetIpcBaseAddress((uint32_t)intrNotifyPtr-&gt;userIpcChan),</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1uL<sp />&lt;&lt;<sp />(uint32_t)intrNotifyPtr-&gt;userIpcIntr));</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="164"><highlight class="normal">}</highlight></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="168"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_BlessIsrHandler</highlight></codeline>
<codeline lineno="169"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="177"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__functions_1gaf973ee7f4097d25ee569fd8bd3172265">Cy_BLE_BlessIsrHandler</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="178"><highlight class="normal">{</highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />sendNotification<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="180"><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Call<sp />BLE<sp />Stack<sp />manager<sp />bless<sp />function<sp />handler<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp />sendNotification<sp />=<sp />Cy_BLE_HAL_MappingBlessInterruptHandler();</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Host<sp />stack<sp />takes<sp />care<sp />of<sp />clearing<sp />interrupts<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((Cy_BLE_HostRegisteredCallback<sp />!=<sp />NULL)<sp />&amp;&amp;<sp />sendNotification)</highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_BLE_HostRegisteredCallback();</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="193"><highlight class="normal">}</highlight></codeline>
<codeline lineno="194"><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXBLESS<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hal_int.c" />
  </compounddef>
</doxygen>